Target version:    
Description

I think this request is similar to #6220.

When the status of an issue changes it would be nice if some people could be explicitely informed about this. For example, if an

issue is set to resolved an email should be sent to QA so that they know that they can start testing. QA may then set the the status

back to assigned (or reopened or whatever) so that the developers get an email about that the test was not successful. Or QA sets

the status to verified so that the project manager knows this task is completed.

I could imagine that you add a row to the workflows: the roles that should be notified if an issue status changes to a certain state. I

think it doesn't matter which status the issue had before. However, the email should look a bit different so that the recipient

immediately sees that he or she has something to do now.

I guess this is easier to implement than #6220, Though #6220 has obviously more possibilities.

Related issues:

Related to Redmine - Feature #6220: Named action on ticket status change. New 2010-08-26

Related to Redmine - Feature #1707: Sending e-mail to roles involved on statu... New 2008-07-29

History

#1 - 2011-03-02 17:31 - Etienne Massip

- Category changed from Email notifications to Issues workflow

#2 - 2013-01-12 17:34 - Daniel Felix

I have some more flexible variant of this integration.

Maybe this could be some idea to realize this and even some other tickets here in the tracker.

1. Adding the possibility to add groups to the issue watchers

2. Adding rules to trackers (per project) or to categories (on project level too). This could be understood like the categorysystem itself. There is

already the function to autoassign a ticket with some category directly to a user or a usergroup. This have to be duplicated as "add to watchers".

This way you can define a rule, which automatically add a certain usergroup to a ticket with a special category.

The workflow would be something like this:

1. create a new ticket, assign it to category abc

2. category selection cause an automatically add to the watchlist

3. sendmail sends mail to everyone on the watchlist

What do you think about it?

#3 - 2013-12-05 11:35 - Perico Os Palotes

+1 to this feature.

#4 - 2017-12-07 02:53 - Go MAEDA

- Subject changed from Send email when status changes to Send email to particular users when status changes

#5 - 2017-12-07 02:58 - Go MAEDA

- Related to Feature #1707: Sending e-mail to roles involved on status changed. added
